@import url("https://fonts.googleapis.com/css2?family=Kumbh+Sans:wght@400;700&display=swap");

* {
    margin: 0;
    padding: 0;
    font-weight: 300;
}

img {
    max-width: 100%;
}

body {
    background-color: #24292e;
    font-family: "Kumbh Sans", sans-serif;
    text-align: center;
    padding-bottom: 100px;
}

main {
    display: flex;
    justify-content: center;
    flex-direction: column;
    padding: 50px 0 0;
}

.devicon-github-original {
    font-size: 60px;
    margin-bottom: 30px;
    color: #FFFFFF;
}

.section {
    padding: 70px 0;
}

.container {
    width: 60%;
    /* se for uma tela menor que 980px vai se adaptar a 70% */
    max-width: 960px;
    /* quando chegar em 980px para de aumentar */
    box-shadow: rgba(0, 0, 0, 0.3) 0px 25px 50px -12px;
    background-color: #fff;
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: 30px;
    padding: 30px;
    margin: 0 auto;
}

.container header {
    display: flex;
    align-items: center;
    flex-direction: column;
    padding: 30px 0;
}

.container header h2 {
    font-size: 20px;
    font-weight: 700;
    margin-bottom: 30px;
}

.container header #input-search {
    width: 400px;
    font-size: 17px;
    margin: 0 auto;
    padding: 10px;
    border-radius: 7px;
    border: 1px solid grey;
}

.container header #btn-search {
    width: 200px;
    font-size: 17px;
    margin: 20px auto 0;
    padding: 10px;
    border-radius: 7px;
    cursor: pointer;
    border: 1px solid grey;
}

.container header #btn-search:hover {
    background-color: #52B8E5;
    color: #ffffff;
    border-color: #ffffff;
}

.container .profile-data {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 40px;
}

.container .profile-data .info {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}

.container .profile-data .info .data {
    padding: 40px;
    width: 50%;
}

.container .profile-data .info img {
    width: 50%;
    border-radius: 50%;
    border: 10px solid #52B8E5;
}

.container .profile-data .info h1 {
    font-size: 20px;
    margin-bottom: 20px;
    font-weight: 700;
}

.container .profile-data .info p {
    font-size: 15px;
    font-weight: 400;
    line-height: 23px;
}

/* REPOSITORIES */

.container .profile-data .repositories h2 {
    margin-bottom: 30px;
    text-align: center;
    font-weight: 700;
}

.container .profile-data .repositories ul {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.container .profile-data .repositories ul li a {
    padding: 20px;
    border: 1px solid grey;
    margin: 20px;
    display: block;
    border-radius: 7px;
    transition: 0.3s ease-in-out;
}

.container .profile-data .repositories ul li a .info-repositories {
    display: flex;
    align-items: center;
    gap: 3px;
}

.container .profile-data .repositories ul li a p {
    width: 35%;
    height: 8%;
    background-color: blue;
    color: #fff;
    border-radius: 4px;
    padding: 5px;
    text-align: center;
}

.container .profile-data .repositories ul li a p.language {
    width: 45%;
}

.container .profile-data .repositories ul li a:hover {
    background-color: #52B8E5;
    color: #fff
}

.container .profile-data.hide {
    display: none;
}

h2.events {
    font-weight: 700;
}

strong.nome-repo {
    font-weight: bold;
}

@media (max-width: 1280px) {
    .container {
        flex-direction: column;
        width: 90%;
        border-radius: 20px;
    }

    .container header {
        width: 100%;
    }

    .container header h1 {
        font-size: 24px;
        text-align: center;
    }
}

@media (max-width: 768px) {

    .container header #input-search,
    .container header #btn-search {
        width: 100%;
    }
}

@media (max-width: 425px) {
    main {
        padding: 15% 0;
    }

    .container .profile-data .info img {
        margin-bottom: 20px;
    }

    .container .profile-data .info img,
    .container .profile-data .info .data {
        width: 100%;
        padding: 0;
    }
}